{%- comment -%}
Empezamos con los ítems que no dependen de otros e implementamos
recursivamente.

{%- endcomment -%}

{%- assign sections = site.posts | where: 'layout', 'section'  -%}

<nav>
    <div class="d-flex flex-column justify-content-end text-left p-3">
      {% for section in sections %}
      {%- assign dropdown = section.sections | present -%}
      
        {%- if dropdown -%}
        <div class="">
          <a 
          href="{{ section.url }}"
          class="border-gradient border-gradient-primary-secondary border-gradient-bottom">
          {{ section.title | capitalize }} 
          </a>
        </div>
          {% for s in section.sections %}
          <details class="mt-3 border-bottom border-violeta pb-2">
            <summary class="d-flex justify-content-between">
              <p class="pl-2">{{ s.title | capitalize }}</p>
              <p class=""> <i class="fa fa-chevron-down text-primary p-2"></i></p>
            </summary>
            <div class="text-dark">
              {%- assign posts = s.posts -%}
              {% for post in posts %}
               <div class="pl-3 m-1 background-gray">
                  <a href="{{ post.url }}">
                    {{ post.title | capitalize }}
                  </a>
                </div>
              {% endfor %}
            </div>              
          </details>
          {% endfor %}
        {%- endif -%}
      {% endfor %}
      </div>
</nav>
